Splunk® IT Service Intelligence

SAI Integration

Acrobat logo Download manual as PDF

Acrobat logo Download topic as PDF

Requirements for integrating the Splunk App for Infrastructure with ITSI

To integrate IT Service Intelligence (ITSI) with the Splunk App for Infrastructure (SAI), you must install them on the same Splunk Enterprise instance. The ITSI installation package includes SAI and Splunk Add-on for Infrastructure. You can either integrate entities and alerts when first launching ITSI, or you can integrate them later.

Deployment requirements

Integration between SAI and ITSI is supported in the following environments. For deployment planning information, see Integration with the Splunk App for Infrastructure in the Install and Upgrade Splunk IT Service Intelligence manual.

Environment Installation requirements
Single Splunk Enterprise instance In a single-instance deployment, a Splunk Enterprise instance serves as both search head and indexer. When installing the ITSI installation package, SAI and Splunk Add-on for Infrastructure are automatically installed. See Install Splunk IT Service Intelligence in the Install and Upgrade Splunk IT Service Intelligence manual.
Distributed Splunk Enterprise environment In a distributed Splunk Enterprise environment, install SAI and ITSI on the same search head and install the Splunk Add-on for Infrastructure on the indexers. See Install IT Service Intelligence in a distributed environment in the Install and Upgrade Splunk IT Service Intelligence manual.
Splunk Cloud Splunk Cloud customers must work with Splunk Support to coordinate access to the IT Service Intelligence search head.

Supported software versions

The following software versions are required for integration between ITSI and SAI. The ITSI installation package includes SAI and Splunk Add-on for Infrastructure.

If you're using the Splunk Add-on for Amazon Web Services and SAI to monitor AWS data, don't install ITSI version 4.4.0 or SAI 2.0.0. SAI version 2.0.0 is not compatible with the Splunk Add-on for Amazon Web Services. If you're using SAI to monitor AWS data with the add-on, this version of ITSI and SAI provides no way to continue doing so.

Product Name Product Version
Splunk IT Service Intelligence 4.2.0 or later
Splunk App for Infrastructure 1.3.0 or later
Splunk Add-on for Infrastructure 1.3.0 or later
Splunk Enterprise 7.2.0 or later

See also

Last modified on 25 November, 2020
PREVIOUS
Integrate the Splunk App for Infrastructure with ITSI
  NEXT
Integrate entities from the Splunk App for Infrastructure with ITSI

This documentation applies to the following versions of Splunk® IT Service Intelligence: 4.4.0, 4.4.1, 4.4.2, 4.4.3, 4.4.4, 4.4.5, 4.5.0 Cloud only, 4.5.1 Cloud only, 4.6.0 Cloud only, 4.6.1 Cloud only, 4.6.2 Cloud only, 4.7.0


Was this documentation topic helpful?

You must be logged into splunk.com in order to post comments. Log in now.

Please try to keep this discussion focused on the content covered in this documentation topic. If you have a more general question about Splunk functionality or are experiencing a difficulty with Splunk, consider posting a question to Splunkbase Answers.

0 out of 1000 Characters